use master
go

create database XCSoft20120314
go
 
use XCSoft20120314
go

create table Members 										--会员表
(
MemberID varchar(50) primary key,							--账号
Password varchar(32),										--密码
Question nvarchar(100),										--问题
Answer nvarchar(100),										--答案
MemberName nvarchar(30),									--真实姓名
Sex nchar(1),												--性别
Phone char(11),												--手机
Tel char(12),												--电话
Email varchar(50),											--Email
QQ char(11),												--QQ 非必填项
RegDate datetime default getdate()							--注册日期
)
go

create table Users											--用户表 
(
UserID varchar(50) primary key,								--用户帐号
Password varchar(32),										--密码
UserName nvarchar(4),										--真实姓名
)
go

create table NewsType										--新闻类别
(
TypeID int IDentity(1,1) primary key,						--类别编号
TypeName nchar(5)											--类别名称
)
go

create table News											--新闻
(
NewsID int IDentity(1,1) primary key,						--新闻编号
Title nvarchar(30),											--新闻标题
Content text,												--新闻内容
Numbers int default 0,										--访问量
TypeID int,													--类别编号
PublishTime datetime default getdate(),						--发布时间
Foreign key (TypeID) REFERENCES NewsType (TypeID)
ON DELETE CASCADE
ON UPDATE CASCADE
)
go

--Create table PCategory										--产品类别
--(
--CategoryID int IDentity(1,1) primary key,						--类别编号
--CategoryName nchar(10)										--类别名称
--)
--go


Create table Product
(
ProductID int IDentity(1,1) primary key,					--产品编号
ProductName nvarchar(50),									--产品名称
Version varchar(50),										--产品型号
Brand nvarchar(20),											--产品品牌
Description text,											--产品描述
ImageUrl varchar(100),										--产品图片
BigImage varchar(100),										--产品大图片
Price int,													--产品价格
MOQ int														--最少订量
)
go

Create table Download										--文件下载表
(
FileID int IDentity(1,1) primary key,						--文件编号
FileName nvarchar(100),										--文件名称
NewFileName varchar(25)										--文件路径
)
go

Create table Recruit										--招聘表
(
RecruitID int IDentity(1,1) primary key,					--招聘信息ID
RecruitObject varchar(50),									--招聘对象
Number varchar(10) default '若干',							--招聘人数
Address nvarchar(100),										--工作地点
Pay varchar(20) default '面议',								--薪资范围
PublishTime datetime default getdate(),						--发布时间
EndTime datetime,											--截止日期
Need text,													--招聘要求
LinkMen nchar(4),											--联系人
LinkTel char(12),											--联系电话
Email varchar(50)											--Email简历接收邮箱
)
go

Create table GuestBook										--留言表
(
BookID int IDentity(1,1) primary key,						--留言编号
Title nvarchar(100),										--留言标题
Content text,												--留言内容
MemberID varchar(50),										--会员账号  外键
LeaveDate datetime default getdate(),						--留言日期
Foreign key (MemberID) REFERENCES Members (MemberID)
ON DELETE CASCADE
ON UPDATE CASCADE
)
go

Create table Reply											--留言回复
(
ReplyID int IDentity(1,1) primary key,						--回复编号
Content text,												--回复内容
BookID int,													--留言编码
Account varchar(50),										--回复留言者的账号
ReplyTime datetime default getdate()						--回复时间
)

Create table FAQ											--常见问题
(
FAQContent text
)

create table SysLog											--日志表
(
LogID int IDentity(1,1) primary key,						--日志编号
UserIP char(19),											--用户IP地址
URL varchar(100),											--所操作的页面URL
OPInfo nvarchar(50),										--页面操作信息
Account varchar(50),										--账号
UserType int,												--用户类型  0--表示管理员，1--表示会员，2--表示无账号的游客
OPTime datetime default getdate(),							--记录操作时间
)
go
--存储过程 获取产品信息
Create Procedure ReplyInfo
@BookID int
AS
select ReplyID,Reply.Content,Account,ReplyTime
From GuestBook,Reply
Where GuestBook.BookID=Reply.BookID and GuestBook.BookID=@BookID

EXEC ReplyInfo 2

--添加日志的存储过程
Create Procedure AddLog
@UserIP char(19),
@URL varchar(100),
@OPInfo nvarchar(50),
@Account varchar(50),
@UserType int
As
Insert Into SysLog(UserIP,URL,OPInfo,Account,UserType)Values(@UserIP,@URL,@OPInfo,@Account,@UserType)

--Exec AddLog '1','1','1','1',1

--删除日志的存储过程
Create Procedure DeleteLog
@LogID int
As
Delete From SysLog Where LogID=@LogID

--EXEC DeleteLog 10

Insert Into Users(UserID,Password,UserName) Values('1','c4ca4238a0b923820dcc509a6f75849b','张')

--select NewsID,Title,Numbers,PublishTime from News
--
--select ProductID,ProductName,ImageUrl,Price,Cheapness From Product
--
--select * from Recruit order by RecruitID DESC
--
--
--select NewsID,Title,Numbers,PublishTime,TypeName
--from News,NewsType
--where News.TypeID=NewsType.TypeID
--order by NewsID DESC
----选取2012-04-03日志
--select * from SysLog where OPTime<'2012-04-04' and OPTime>='2012-04-03'  Order By LogID DESC


select * from SysLog Order By LogID DESC  

select LogID,UserIP,URL,OPInfo,Account,OPTime,UserType=
CASE UserType
When 0 Then '管理员'
When 1 Then '会员'
When 2 Then '游客'
End
from SysLog
Order By LogID DESC



